Refresh account disk usage
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/usage/refresh_disk_usage"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Basic <credentials>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/usage/refresh_disk_usage';const options = {method: 'POST', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/usage/refresh_disk_usage \ --header 'Authorization: Basic <credentials>'Triggers an asynchronous job to recalculate the disk usage of the installs associated with the account.
Limitations & Warnings
- Asynchronous: the request returns immediately and does not return the
updated usage data. To check progress, poll
GET /accounts/{account_id}/usage. A successful request populates theaccount_storage_refresh_expected_timeattribute in that response, indicating when the data is expected to be fresh. - Multiple requests for the same environment result in a single recalculation.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The unique identifier (UUID) of the account.
Example
eeda3227-9a39-46ae-9e14-20958bb4e6c9Responses
Section titled “Responses”Returns null. The disk usage refresh has been initiated.
Bad Request
Authentication Error
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Bad Credentials"}Not Authorized
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "You don't have permission to perform that action"}Not Found. The account with the specified UUID could not be found.
object
A message regarding the error that occurred on the server
(Optional) A URL where documentation regarding this specific error can be found
Example
{ "message": "Not Found"}Too many requests
Internal Server Error
An invalid response was received from an upstream server
Service unavailable
default
Section titled “default”An unexpected error occurred.
object
A message regarding the error that occurred on the server
Example
{ "message": "An unexpected error occurred, please try again in a few minutes"}